Subject: Re: [PATCH 3/3] imap-send.c: Clean up coding style to better match the rest of the git codebase.

From: Jakub Narebski <[email-masked]>
Date: Sat, 12 Jul 2008 14:38:34 +0200

On Wed, 9 July 2008, Rob Shearman wrote:
> 2008/7/7 Jakub Narebski <[email-masked]>:

> > or use either git-send-email
> > (I think you can send patches also via Gmail) or git-imap-send,
> 
> Ok, but git-imap-send only puts the emails into your Drafts folder so
> that you can send them with your normal email client (which is what
> does the linewrapping).

Errr... if you are using normal email client, then it should be
possible to turn off line wrapping in the client, isn't it?
 
[...]
> > then preferred solution is to have patch inline.
> >
> > If it is not possible, then attach the patch, but preferrably
> >  1) with text/plain mimetype (.txt extension instead of .patch or
> >    .diff could be required for that)
> >
> >  2) 8bit (preferred) or quoted-printable (if 8bit is not possible)
> >    transfer encoding (base64 is terrible waste of space); text/plain
> >    should chose quoted-printable at worst
> >
> >  3) use "inline" attachement (select 'suggest to display attachement'
> >    or something like that), so it is possible to select attachement
> >    and hit reply.
> 
> I think this was the case with the patches originally sent, but I used
> "git format-patch --attach --stdout ... | git imap-send" so if the
> mails didn't meet one of those points then it should be fixed in
> git-format-patch.

"git format-patch --inline --stdout", perhaps?

-- 
Jakub Narebski
Poland